##### GENERAL STUFF #####

Summary:	I/O library for GPhoto 2.x
Name:		libgpio0
Version:	0.0.2
Release:	6mdk
License:	LGPL
Group:		Graphics

##### SOURCE FILES #####

Source: libgpio.tar.bz2

##### ADDITIONAL DEFINITIONS #####

Requires: 	libusb0.1_4
Provides:	libgpio
BuildRequires:	libusb0.1_4-devel
BuildRoot: %{_tmppath}/%{name}-buildroot

##### SUB-PACKAGES #####

%description

libgpio is a library for different I/O operations done by GPhoto 2.0

%package devel
Summary: Headers and links to compile against the "libgpio0" library
Requires: 	libgpio0
Provides:	libgpio-devel
Group:		Graphics

%description devel
This package contains all files which one needs to compile programs using
the "libgpio0" library.


##### PREP #####

%prep
rm -rf $RPM_BUILD_DIR/libgpio
%setup -q -n libgpio

##### BUILD #####

%build
# "autogen" is needed because we have a CVS snapshot.
./autogen.sh
%make

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# Install the README files of the source tarball in the doc directory
#cp *.txt $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}


##### PRE/POST INSTALL SCRIPTS #####

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

##### CLEAN UP #####

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### libgpio0
%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/gpio/*.so.*

##### libgpio0-devel
%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.sh
%{_libdir}/gpio/*.so
%{_libdir}/gpio/*.la
%{_libdir}/gpio/*.a
%{_bindir}/*
%{_includedir}/gpio/*

##### CHANGELOG #####

%changelog
* Wed Mar  6 2002 Till Kamppeter <till@mandrakesoft.com> 0.0.2-6mdk
- Rebuilt for libusb 0.1.5.

* Mon Jan 28 2002 Till Kamppeter <till@mandrakesoft.com> 0.0.2-5mdk
- Fixed dependencies for libusb 0.1.4.

* Mon Jan 28 2002 Till Kamppeter <till@mandrakesoft.com> 0.0.2-4mdk
- Rebuilt for libusb 0.1.4.

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.0.2-3mdk
- Rebuild, 0.0.2-2mdk got lost on the Cooker

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.0.2-2mdk
- Corrected the "Requires:" and "Buildrequires:" entries

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.0.2-1mdk
- Initial release

